# Class FootNoteReferenceRunAttributes

#### Hierarchy

- XmlAttributeComponent <{
  id: number;
  }>
  - FootNoteReferenceRunAttributes

- Defined in file/footnotes/footnote/run/reference-run.ts:4

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new FootNoteReferenceRunAttributes(root): FootNoteReferenceRunAttributes

- #### Parameters

  - ##### root: {
    id: number;
    }

    - ##### `Readonly` id: number

  #### Returns FootNoteReferenceRunAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:12

## Methods

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:16

Generated using TypeDoc